com.verisign.epp.codec.registry.v02

## Class EPPRegistryExceedMaxExDate

- java.lang.Object
- - com.verisign.epp.codec.registry.v02.EPPRegistryExceedMaxExDate

- All Implemented Interfaces:
    EPPCodecComponent, java.io.Serializable, java.lang.Cloneable

      public class EPPRegistryExceedMaxExDate
      extends java.lang.Object
      implements EPPCodecComponent

  `EPPRegistryExceedMaxExDdate` defines the action taken by the server when executing commands that will result in an expiration date that exceeds the maximum expiration date. The required "command" attribute is used to define the command with a renewal feature, such as "renew" or "transfer". New commands can be defined that include a renewal feature, such as "sync".
  See Also:
    `EPPRegistryDomain`, Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `EPPRegistryExceedMaxExDate.Policy` Possible values for the `policy` attribute.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ATTR_COMMAND` XML attribute name for the `command` attribute.
    `static java.lang.String` | `ELM_LOCALNAME` XML local name for `EPPRegistryExceedMaxExDate`.
    `static java.lang.String` | `ELM_NAME` XML root tag for `EPPRegistryExceedMaxExDate`.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EPPRegistryExceedMaxExDate()` Default constructor.
    `EPPRegistryExceedMaxExDate(EPPRegistryExceedMaxExDate.Policy aPolicy, java.lang.String aCommand)` Construct an instance of `EPPRegistryExceedMaxExDdate` with the required policy and command.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()` Clone `EPPRegistryExceedMaxExDate`.
    `void` | `decode(org.w3c.dom.Element aElement)` Decode the `EPPRegistryExceedMaxExDate` attributes from the aElement DOM Element tree.
    `org.w3c.dom.Element` | `encode(org.w3c.dom.Document aDocument)` Encode a DOM Element tree from the attributes of the `EPPRegistryDomain` instance.
    `boolean` | `equals(java.lang.Object aObject)` implements a deep `EPPRegistryExceedMaxExDate` compare.
    `java.lang.String` | `getCommand()` Gets the command that the maximum expiration date policy is applied to.
    `java.lang.String` | `getNamespace()` Returns the XML namespace associated with the `EPPCodecComponent`.
    `EPPRegistryExceedMaxExDate.Policy` | `getPolicy()` Gets the exceed maximum expiration date policy applied.
    `void` | `setCommand(java.lang.String aCommand)` Sets the command that the maximum expiration date policy is applied to.
    `void` | `setPolicy(EPPRegistryExceedMaxExDate.Policy aPolicy)` Sets the exceed maximum expiration date policy applied.
    `java.lang.String` | `toString()` Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ELM_LOCALNAME

          public static final java.lang.String ELM_LOCALNAME

      XML local name for `EPPRegistryExceedMaxExDate`.
      See Also:
        Constant Field Values

    - #### ELM_NAME

          public static final java.lang.String ELM_NAME

      XML root tag for `EPPRegistryExceedMaxExDate`.
      See Also:
        Constant Field Values

    - #### ATTR_COMMAND

          public static final java.lang.String ATTR_COMMAND

      XML attribute name for the `command` attribute.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### EPPRegistryExceedMaxExDate

          public EPPRegistryExceedMaxExDate()

      Default constructor. Must call `setPolicy(Policy)` and `setCommand(String)` before calling the `encode(org.w3c.dom.Document)` method.

    - #### EPPRegistryExceedMaxExDate

          public EPPRegistryExceedMaxExDate(EPPRegistryExceedMaxExDate.Policy aPolicy,
                                            java.lang.String aCommand)

      Construct an instance of `EPPRegistryExceedMaxExDdate` with the required policy and command.
      Parameters:
        `aPolicy` - Exceed maximum expiration date policy applied
        `aCommand` - Command that the policy is applied to

  - ### Method Detail

    - #### encode

          public org.w3c.dom.Element encode(org.w3c.dom.Document aDocument)
                                     throws EPPEncodeException

      Encode a DOM Element tree from the attributes of the `EPPRegistryDomain` instance.
      Specified by:
        `encode` in interface `EPPCodecComponent`
      Parameters:
        `aDocument` - DOM Document that is being built. Used as an Element factory.
      Returns:
        Element Root DOM Element representing the `EPPRegistryDomain` instance.
      Throws:
        `EPPEncodeException` - - Unable to encode `EPPRegistryExceedMaxExDate` instance.

    - #### decode

          public void decode(org.w3c.dom.Element aElement)
                      throws EPPDecodeException

      Decode the `EPPRegistryExceedMaxExDate` attributes from the aElement DOM Element tree.
      Specified by:
        `decode` in interface `EPPCodecComponent`
      Parameters:
        `aElement` - Root DOM Element to decode `EPPRegistryExceedMaxExDate` from.
      Throws:
        `EPPDecodeException` - Unable to decode aElement

    - #### clone

          public java.lang.Object clone()
                                 throws java.lang.CloneNotSupportedException

      Clone `EPPRegistryExceedMaxExDate`.
      Specified by:
        `clone` in interface `EPPCodecComponent`
      Overrides:
        `clone` in class `java.lang.Object`
      Returns:
        clone of `EPPRegistryExceedMaxExDate`
      Throws:
        `java.lang.CloneNotSupportedException` - standard Object.clone exception

    - #### equals

          public boolean equals(java.lang.Object aObject)

      implements a deep `EPPRegistryExceedMaxExDate` compare.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `aObject` - `EPPRegistryExceedMaxExDate` instance to compare with
      Returns:
        `true` if this object is the same as the aObject argument; `false` otherwise

    - #### toString

          public java.lang.String toString()

      Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        Indented XML `String` if successful; `ERROR` otherwise.

    - #### getPolicy

          public EPPRegistryExceedMaxExDate.Policy getPolicy()

      Gets the exceed maximum expiration date policy applied.
      Returns:
        The maximum expiration date policy applied if defined; `null` otherwise.

    - #### setPolicy

          public void setPolicy(EPPRegistryExceedMaxExDate.Policy aPolicy)

      Sets the exceed maximum expiration date policy applied.
      Parameters:
        `aPolicy` - The maximum expiration date policy to set

    - #### getCommand

          public java.lang.String getCommand()

      Gets the command that the maximum expiration date policy is applied to.
      Returns:
        The command name if defined; `null` otherwise.

    - #### setCommand

          public void setCommand(java.lang.String aCommand)

      Sets the command that the maximum expiration date policy is applied to.
      Parameters:
        `aCommand` - That command name, such as "renew" or "transfer".

    - #### getNamespace

          public java.lang.String getNamespace()

      Returns the XML namespace associated with the `EPPCodecComponent`.
      Specified by:
        `getNamespace` in interface `EPPCodecComponent`
      Returns:
        XML namespace for the `EPPCodecComponent`.

Copyright © VeriSign Inc. All Rights Reserved.